# $Revision: 1.25 $, $Date: 2008/09/21 09:21:30 $
Summary:	A light-weight system monitor
Summary(pl.UTF-8):	Monitor systemu dla środowiska graficznego
Name:		conky
Version:	1.6.1
Release:	1
License:	Distributable (see COPYING doc)
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/conky/%{name}-%{version}.tar.bz2
# Source0-md5:	b2839f21cec18e5eaa338c7440a1ba28
Patch0:		%{name}-configdir.patch
URL:		http://conky.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	freetype-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conky is a light-weight system monitor based on the torsmo code. Conky
can display arbitrary information (such as the date, CPU temperature
from i2c, MPD info, and anything else you desire) to the root window
in X11.

%description -l pl.UTF-8
Conky jest niewielkim monitorem systemu opartym na kodzie torsmo.
Może wyświetlać takie informacje, jak:
- data
- temperatura CPU
- ilość miejsca na dysku itp.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}.conf
# COPYING must be added (see COPYING file)
%doc AUTHORS ChangeLog COPYING README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/%{name}.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: conky.spec,v $
Revision 1.25  2008/09/21 09:21:30  duddits
- up to 1.6.1
- patch updated

Revision 1.24  2008/09/10 15:05:19  qboosh
- reverted, no single word about readline in sources; wrong pcre/glib2 build?
- BR: glib2-devel, pkgconfig

Revision 1.23  2008/09/10 07:15:56  spider
- missing br: readline-devel

Revision 1.22  2008/06/22 23:36:56  charles
- BR: gettext-devel, pkgconfig, xorg-lib-libXdamage-devel

Revision 1.21  2008/06/18 20:14:51  qboosh
- BR: libtool

Revision 1.20  2008/06/18 20:13:22  gzohop
- libtool

Revision 1.19  2008/04/14 17:35:13  lisu
- 1.5.1
- -headers.patch is obsolete

Revision 1.18  2008-03-30 19:05:17  lisu
- up to 1.5.0
- fix problem with redefinition of struct (-headers.patch)
- no sample config file in this version

Revision 1.17  2007-11-29 22:51:44  lisu
- use auto tools

Revision 1.16  2007-11-29 22:30:11  lisu
- up to 1.4.9
- add conf file
- patching for proper /etc path for conf file

Revision 1.15  2007-10-23 17:09:09  lisu
- 1.4.8

Revision 1.14  2007/09/01 22:08:18  lisu
- 1.4.7

Revision 1.13  2007/08/12 14:40:44  lisu
- 1.4.6

Revision 1.12  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.10  2006/12/14 20:16:33  lisu
- 1.4.5

Revision 1.9  2006/11/18 11:47:01  lisu
- up to 1.4.4
- License is distributable
- COPYING file added (it's needed)

Revision 1.8  2006/05/19 07:30:55  darekr
- updated to 1.4.2

Revision 1.7  2006/04/04 19:01:01  megabajt
- modular xorg deps
- added conkyrc.sample to %doc

Revision 1.6  2006/03/27 11:22:48  spider
- typo fix

Revision 1.5  2006/03/27 11:18:19  spider
- up to 1.4.1
- changes by <kermit1715 at wp.pl>

Revision 1.4  2006/03/02 12:59:33  darekr
- updated to 1.4.0; removed NEWS file (empty)

Revision 1.3  2006/01/04 21:49:29  qboosh
- updated to 1.3.5, added missing md5, removed COPYING from doc (just GPL)
  (changes by <kermit1715 at wp.pl>

Revision 1.2  2006/01/03 17:32:40  qboosh
- added URL, typos

Revision 1.1  2005/12/31 01:05:44  undefine
- initital, by kermit1715@wp.pl
